package attribute_test

import (
	"gitlab.codemonkeysoftware.net/b/hatmill/attribute"
	"testing"
)

func expectEqualStrings(t *testing.T, actual, expected string) {
	if actual != expected {
		t.Fatalf("expected %q, got %q", expected, actual)
	}
}

func TestSpaceList(t *testing.T) {
	t.Run("empty", func(t *testing.T) {
		expectEqualStrings(t, attribute.SpaceList{}.String(), "")
	})

	t.Run("nonempty", func(t *testing.T) {
		expected := "alpha bravo charlie"
		actual := attribute.SpaceList{"alpha", "bravo", "charlie"}.String()
		expectEqualStrings(t, actual, expected)
	})
}

func TestCommaList(t *testing.T) {
	t.Run("empty", func(t *testing.T) {
		expectEqualStrings(t, attribute.CommaList{}.String(), "")
	})

	t.Run("nonempty", func(t *testing.T) {
		expected := "alpha,bravo,charlie"
		actual := attribute.CommaList{"alpha", "bravo", "charlie"}.String()
		expectEqualStrings(t, actual, expected)
	})
}
